Modify

Opened 12 years ago

Closed 12 years ago

#5077 closed defect (worksforme)

can not select more than one object anymore.

Reported by: skyper Owned by: team
Priority: minor Milestone:
Component: Core Version: latest
Keywords: select object Cc:

Description (last modified by stoecker)

Hi

I am editing for 2 and a half hours on a slow machine (only 512 MB DDR Ram)

I did some uploads and delet the layers and then download a new area but I did not exit JOSM. Suddenly JOSM does not allow me to select more then one object. I happend after I connected 2 ways and there were lots of relations and tags to adjust.

I get some weired messages on the console:

Using /usr/lib/jvm/java-6-openjdk/bin/java to execute josm.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-05-27 01:31:44
Last Changed Author: framm
Revision: 3280
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-05-26 17:16:28 +0200 (Wed, 26 May 2010)
Last Changed Rev: 3280

lade Plugin 'openstreetbugs' (Version 20696)
lade Plugin 'colorscheme' (Version 19426)
lade Plugin 'ColumbusCSV' (Version 299)
lade Plugin 'tageditor' (Version 21026)
lade Plugin 'remotecontrol' (Version 21433)
RemoteControl::Accepting connections on port 8111
lade Plugin 'validator' (Version 21440)
RemoteControl received: GET /load_and_zoom?left=7.8104&right=7.8114&bottom=48.0492&top=48.0502 HTTP/1.1
GET http://api.openstreetmap.org/api/capabilities... OK
Kommunikation mit http://api.openstreetmap.org/api mittels Protokollversion 0.6 etabliert.
GET http://api.openstreetmap.org/api/0.6/map?bbox=7.8104,48.0492,7.8114,48.0502
RemoteControl received: GET /favicon.ico HTTP/1.1
Silent shortcut conflict: 'view:openstreetbugs' moved by 'system:download_primitive' to 'Strg+Alt+O'.
GET http://api.openstreetmap.org/api/0.6/map?bbox=7.8108930999999995,48.0478062,7.8116441,48.051148399999995
PUT http://api.openstreetmap.org/api/0.6/changeset/create... OK
POST http://api.openstreetmap.org/api/0.6/changeset/4834523/upload... OK
PUT http://api.openstreetmap.org/api/0.6/changeset/4834523/close... OK
RemoteControl received: GET /load_and_zoom?left=7.77725&right=7.77825&bottom=47.98&top=47.981 HTTP/1.1
GET http://api.openstreetmap.org/api/0.6/map?bbox=7.7772499999999996,47.98,7.77825,47.980999999999995
Keystroke is already assigned to org.openstreetmap.josm.actions.mapmode.SelectAction@6ffd79, will be overridden by org.openstreetmap.josm.actions.mapmode.SelectAction@a36771

.....
GET http://api.openstreetmap.org/api/0.6/map?bbox=7.8434,47.998999999999995,7.844399999999999,48.0
RemoteControl received: GET /favicon.ico HTTP/1.1
RemoteControl received: GET /load_and_zoom?left=7.8434&right=7.8444&bottom=47.999&top=48 HTTP/1.1
GET http://api.openstreetmap.org/api/0.6/map?bbox=7.8434,47.998999999999995,7.844399999999999,48.0
Keystroke is already assigned to org.openstreetmap.josm.actions.mapmode.SelectAction@1432e1a, will be overridden by org.openstreetmap.josm.actions.mapmode.SelectAction@1462303
Keystroke is already assigned to org.openstreetmap.josm.actions.mapmode.DrawAction@3c205c, will be overridden by org.openstreetmap.josm.actions.mapmode.DrawAction@1e04e7f
Keystroke is already assigned to org.openstreetmap.josm.actions.mapmode.DrawAction@3c205c, will be overridden by org.openstreetmap.josm.actions.mapmode.DrawAction@1e04e7f
Keystroke is already assigned to org.openstreetmap.josm.actions.mapmode.ExtrudeAction@13b23d6, will be overridden by org.openstreetmap.josm.actions.mapmode.ExtrudeAction@1cbb836
Keystroke is already assigned to org.openstreetmap.josm.actions.mapmode.ZoomAction@da7c9a, will be overridden by org.openstreetmap.josm.actions.mapmode.ZoomAction@a13c90
Keystroke is already assigned to org.openstreetmap.josm.actions.mapmode.DeleteAction@193ccd5, will be overridden by org.openstreetmap.josm.actions.mapmode.DeleteAction@290442
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@1ce0072, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@e022ae
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@8ff4b0, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@1413ec4
RemoteControl received: GET /favicon.ico HTTP/1.1
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog$AddAction@5f7f06, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.PropertiesDialog$AddAction@2f17b0
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@13b0c5b, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@1b25dbd
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@fd8b9, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@15b72f4
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@18be596, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@a8a82a
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@167cb55, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@1c132b7
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@739617, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@2f8ea3
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@6c9c37, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@b215d9
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@f5b942, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@d8329c
Keystroke is already assigned to org.openstreetmap.josm.actions.JumpToAction@1980821, will be overridden by org.openstreetmap.josm.actions.JumpToAction@5019b4
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@913a58, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@1969ac
Keystroke is already assigned to org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@10aff2c, will be overridden by org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction@17b5120
Keystroke is already assigned to org.openstreetmap.josm.actions.MoveAction@1ae209, will be overridden by org.openstreetmap.josm.actions.MoveAction@12af270
Keystroke is already assigned to org.openstreetmap.josm.actions.MoveAction@edd06a, will be overridden by org.openstreetmap.josm.actions.MoveAction@92ab26
Keystroke is already assigned to org.openstreetmap.josm.actions.MoveAction@10df737, will be overridden by org.openstreetmap.josm.actions.MoveAction@1228794
Keystroke is already assigned to org.openstreetmap.josm.actions.MoveAction@1e17d0b, will be overridden by org.openstreetmap.josm.actions.MoveAction@1f32b0e
Keystroke is already assigned to org.openstreetmap.josm.actions.mapmode.DeleteAction@290442, will be overridden by org.openstreetmap.josm.actions.mapmode.DeleteAction@1e842c3
Keystroke is already assigned to org.openstreetmap.josm.actions.SaveAction@ad8659, will be overridden by org.openstreetmap.josm.actions.SaveAction@18f58f6

status:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-05-27 01:31:44
Last Changed Author: framm
Revision: 3280
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-05-26 17:16:28 +0200 (Wed, 26 May 2010)
Last Changed Rev: 3280

Memory Usage: 132 MB / 248 MB (25 MB allocated, but free)
Java version: 1.6.0_0, Sun Microsystems Inc., OpenJDK Client VM
Operating system: Linux

Dataset consistency test:
No problems found


Plugins: ColumbusCSV,colorscheme,openstreetbugs,remotecontrol,tageditor,validator
Plugin openstreetbugs (Version: 20696)
Plugin colorscheme (Version: 19426)
Plugin ColumbusCSV (Version: 299)
Plugin tageditor (Version: 21026)
Plugin remotecontrol (Version: 21433)
Plugin validator (Version: 21440)

cache.motd.html=1275047961
cache.motd.html.lang=De:
cache.motd.html.version=3280
columbuscsv.warn.conversionErrors=false
commandstack.minimized=true
coordinates=DECIMAL_DEGREES
downloadprimitive.referrers=false
draw.segment.order_number=true
gui.geometry=1024x768+0+0
gui.maximized=true
josm.version=3280
lastDirectory=/home/gast
marker.audiofromstart=false
marker.buttonlabels=false
mirror.http://svn.openstreetmap.org/applications/editors/josm/plugins/validator/ignoretags.cfg=1275057242478;/home/gast/.josm-latest/plugins/validator/mirror_http___svn.openstreetmap.org_applications_editors_josm_plugins_validator_ignoretags.cfg
mirror.http://svn.openstreetmap.org/applications/editors/josm/plugins/validator/tagchecker.cfg=1275057242620;/home/gast/.josm-latest/plugins/validator/mirror_http___svn.openstreetmap.org_applications_editors_josm_plugins_validator_tagchecker.cfg
mirror.http://svn.openstreetmap.org/applications/utils/planet.osm/java/speller/words.cfg=1275057242281;/home/gast/.josm-latest/plugins/validator/mirror_http___svn.openstreetmap.org_applications_utils_planet.osm_java_speller_words.cfg
org.openstreetmap.josm.gui.conflict.tags.CombinePrimitiveResolverDialog.geometry=x=216,y=130,width=661,height=539
org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor.geometry=x=324,y=188,width=700,height=439
org.openstreetmap.josm.gui.download.DownloadDialog.geometry=x=12,y=85,width=1000,height=600
org.openstreetmap.josm.gui.io.UploadDialog.geometry=x=312,y=85,width=400,height=600
org.openstreetmap.josm.gui.oauth.OAuthAuthorizationWizard.geometry=x=287,y=115,width=450,height=540
org.openstreetmap.josm.gui.preferences.PreferenceDialog.geometry=x=212,y=25,width=600,height=718
osb.api.disabled=false
osb.auto_download=true
osb.include_date=true
osb.uri.close=http://openstreetbugs.schokokeks.org/api/0.1/closePOIexec
osb.uri.download=http://openstreetbugs.schokokeks.org/api/0.1/getBugs
osb.uri.edit=http://openstreetbugs.schokokeks.org/api/0.1/editPOIexec
osb.uri.new=http://openstreetbugs.schokokeks.org/api/0.1/addPOIexec
osm-download.bounds=48.063511299999995;7.8112578;48.0643143;7.8133607
osm-primitives.showid=true
osm-server.auth-method=oauth
osm-server.upload-strategy=singlerequest
pluginmanager.lastupdate=1275057235971
pluginmanager.version=3280
pluginmanager.version-based-update.policy=always
plugins=ColumbusCSVcolorschemeopenstreetbugsremotecontroltageditorvalidator
proxy.policy=no-proxy
relationlist.visible=true
search.history=R tmcR user:TCMbotR user:tcmbotR tmc
shortcut.groups.1=128
shortcut.groups.10=64
shortcut.groups.11=576
shortcut.groups.12=64
shortcut.groups.13=512
shortcut.groups.15=640
shortcut.groups.16=640
shortcut.groups.17=576
shortcut.groups.18=512
shortcut.groups.19=128
shortcut.groups.2=128
shortcut.groups.20=512
shortcut.groups.3=0
shortcut.groups.4=512
shortcut.groups.5=0
shortcut.groups.6=512
shortcut.groups.8=192
shortcut.groups.9=192
shortcut.groups.configured=true
toolbar=opensavedownloadupload|undoredo|dialogs/search(searchExpression=)preference|splitwaycombinewaywayflip|tagginggroup_Highways/Streetstagginggroup_Highways/Waystagginggroup_Highways/Waypointstagginggroup_Highways/Barriers|tagginggroup_Transport/Cartagginggroup_Transport/Public Transport|tagginggroup_Travel/Tourismtagginggroup_Travel/Food+Drinks|tagginggroup_Travel/Historic Places|tagginggroup_Man-Made/Man Made
upload.comment.history=TMC
validator.tests=Coastlines=true,MultipolygonTest=true,SimilarNamedWays=true,UntaggedNode=true,CrossingWays=true,NodesWithSameName=true,TagChecker=true,OverlappingWays=true,UnclosedWays=true,WronglyOrderedWays=true,UnconnectedWays=true,SelfIntersectingWay=true,DuplicatedWayNodes=true,NameMismatch=true,DuplicateWay=true,UntaggedWay=true,DuplicateNode=true
validator.testsBeforeUpload=Coastlines=true,MultipolygonTest=true,SimilarNamedWays=true,UntaggedNode=true,CrossingWays=true,NodesWithSameName=true,TagChecker=true,OverlappingWays=true,UnclosedWays=true,WronglyOrderedWays=true,UnconnectedWays=true,SelfIntersectingWay=true,DuplicatedWayNodes=true,NameMismatch=true,DuplicateWay=true,UntaggedWay=true,DuplicateNode=true

I do not thinks it is related to the data but tell me if you need the osm-file just tell me.

Attachments (0)

Change History (3)

comment:1 Changed 12 years ago by bastiK

Priority: majorminor

What happens if you Rectangle-Select? What if you use Search?

comment:2 Changed 12 years ago by skyper

Sorry, I had not much time the other day. I was able to save the file and within a new session JOSM work alright again and I was able to upload. I tried to switch the modes but it did not seem to change anything, but I am not sure anymore. I did not try "Search".

comment:3 Changed 12 years ago by stoecker

Description: modified (diff)
Resolution: worksforme
Status: newclosed

Impossible to reproduce. Reopen if happening again.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.